function F = NIG_CDF(x, alpha, beta, mu, delta)
% funkce pocita CDF X~NIG(alpha, beta, mu, delta)
% F(x) = Pr[X<=x]

%% vstupy
% x   = hodnota nahodne promenne (kvantil)
% alpha, beta, mu, delta = parametry NIG rozdeleni

%% vypocet
CF = @(u) ( exp(delta*(sqrt(alpha^2 - beta^2) -  sqrt(alpha^2 - (beta + 1i*u).^2 ))  + mu*1i*u) );
for i = 1:numel(x)
    integrand = @(u) (real(exp(-1i*u*x(i)) .* CF(u)./(1i*u) ) );
    F(i) = 0.5 - 1/pi*integral(integrand, 0, inf);
end

%% funkce primo vyuziva funkci 
% --

%% funkce neprimo vyuziva funkci 
% --
end