function q = NIG_quantile(p, alpha, beta, mu, delta)
% funkce pocita p-kvantil promenne X~NIG(alpha, beta, gamma, delta)
% p je cislo v intervalu (0, 1) a je to pst. pro kterou zjistujeme q. Plati, ze p = Pr[X <= q];

%% vstupy
% p   = pravdepodobnost, pro kterou urcujeme kvantil
% alpha, beta, mu, delta = parametry NIG rozdeleni

%% vypocet
guess = norminv(p); % guess nastavime dle normalniho rozdeleni
for i = 1:numel(p)
    f = @(x)( NIG_CDF(x, alpha, beta, mu, delta) - p(i));
    q(i) = fzero(f, guess(i));
end

%% funkce primo vyuziva funkci 
% NIG_CDF(x, alpha, beta, mu, delta)

%% funkce neprimo vyuziva funkci 
% --
end