function F = double_t_CDF(x, nu, rho)
% funkce pocita CDF double-t rozdeleni, ktere ma promenna Z = sqrt(rho*(nu-2)/nu)*X + sqrt((1-rho)*(nu-2)/nu)*Y, kde X,Y ~ t_nu a jsou nezavisle
% F(x) = Pr[Z<=x]

%% vstupy
% x   = hodnota nahodne promenne (kvantilova hodnota)
% nu  = stupne volnosti promennych X, Y ~ t_nu
% rho = parametr korelace ve faktorove fci Z = sqrt(rho*(nu-2)/nu)*X + sqrt((1-rho)*(nu-2)/nu)*Y

%% vypocet
CF = @(u) ( (2^(2-nu)*( (nu - 2)^2 * (1-rho)*rho )^(nu/4))/gamma(nu/2)^2 * abs(u).^nu .* besselk(nu/2, abs(u)*sqrt((nu-2)*(1-rho))).*besselk(nu/2, abs(u)*sqrt((nu-2)*rho)) );

for i = 1:numel(x)
    integrand = @(u) (real(exp(-1i*u*x(i)) .* CF(u)./(1i*u) ) );
    F(i) = 0.5 - 1/pi*integral(integrand, 0, inf);
end

%% funkce primo vyuziva funkci 
% --

%% funkce neprimo vyuziva funkci 
% --
end