function F = double_t_CDF_ext(x, nuX, nuY, rho)
% funkce pocita CDF double-t rozdeleni, ktere ma promenna Z = sqrt(rho*(nuX-2)/nuX)*X + sqrt((1-rho)*(nuY-2)/nuY)*Y, kde X~t_{nu_X}, Y~t_{nu_Y} a jsou nezavisle
% od fce double_t_CDF(x, nu, rho) se lisi tim, ze umoznuje mit stupne volnosti promenne X a Y ruzne
% F(x) = Pr[Z<=x]

%% vstupy
% x   = hodnota nahodne promenne (kvantilova hodnota)
% nuX = stupne volnosti promenne X
% nuY = stupne volnosti promenne Y
% rho = parametr korelace ve faktorove fci Z = sqrt(rho*(nuX-2)/nuX)*X + sqrt((1-rho)*(nuY-2)/nuY)*Y
%% vypocet
CF = @(u) ( 2^(2-0.5*(nuX+nuY))/(gamma(nuX/2)*gamma(nuY/2)) * ((nuX-2)*rho)^(nuX/4)*((nuY-2)*(1-rho))^(nuY/4)*abs(u).^(0.5*(nuX+nuY)).* besselk(nuX/2, sqrt((nuX-2)*rho)*abs(u)).* besselk(nuY/2, sqrt((nuY-2)*(1-rho))*abs(u)));
for i = 1:numel(x)
    integrand = @(u) (real(exp(-1i*u*x(i)) .* CF(u)./(1i*u) ) );
    F(i) = 0.5 - 1/pi*integral(integrand, 0, inf);
end

%% funkce primo vyuziva funkci 
% --

%% funkce neprimo vyuziva funkci 
% --
end