function f = double_t_PDF(x, nu, rho)
% funkce pocita PDF double-t rozdeleni, ktere ma promenna Z = sqrt(rho*(nu-2)/nu)*X + sqrt((1-rho)*(nu-2)/nu)*Y, kde X~t_nu, Y~t_nu a jsou nezavisle
% f(x) = PDF(x)

%% vstupy
% x = hodnota promenne, kde zjistujeme hustotu, muze byt skalar nebo vektor
% nu = stupne volnosti promennych X, Y
% rho = parametr korelace ve faktorove fci Z = sqrt(rho*(nu-2)/nu)*X + sqrt((1-rho)*(nu-2)/nu)*Y
%% vypocet
eta = 2^(2-0.5*(nu+nu))/(gamma(nu/2)*gamma(nu/2)) * ((nu-2)*rho)^(nu/4)*((nu-2)*(1-rho))^(nu/4);
CF = @(u) (eta*abs(u).^(0.5*(nu+nu)).* besselk(nu/2, sqrt((nu-2)*rho)*abs(u)).* besselk(nu/2, sqrt((nu-2)*(1-rho))*abs(u)));
for i = 1:numel(x)
    integrand = @(u) (CF(u).* exp(-1i*u*x(i)));
    f(i) = 1/(2*pi)*integral(integrand, -inf, inf);
end
f = real(f);
%% funkce primo vyuziva funkci 
% --

%% funkce neprimo vyuziva funkci 
% --
end