function f = double_t_PDF_ext(x, nuX, nuY, rho)
% funkce pocita PDF double-t rozdeleni, ktere ma promenna Z = sqrt(rho*(nuX-2)/nuX)*X + sqrt((1-rho)*(nuY-2)/nuY)*Y, kde X~t_{nu_X}, Y~t_{nu_Y} a jsou nezavisle
% od fce double_t_PDF(x, nu, rho) se lisi tim, ze umoznuje mit stupne volnosti promenne X a Y ruzne
% f(x) = PDF(x)

%% vstupy
% x = hodnota promenne, kde zjistujeme hustotu, muze byt skalar nebo vektor
% nuX = stupne volnosti promenne X
% nuY = stupne volnosti promenne Y
% rho = parametr korelace ve faktorove fci Z = sqrt(rho*(nuX-2)/nuX)*X + sqrt((1-rho)*(nuY-2)/nuY)*Y
%% vypocet
eta = 2^(2-0.5*(nuX+nuY))/(gamma(nuX/2)*gamma(nuY/2)) * ((nuX-2)*rho)^(nuX/4)*((nuY-2)*(1-rho))^(nuY/4);
CF = @(u) (eta*abs(u).^(0.5*(nuX+nuY)).* besselk(nuX/2, sqrt((nuX-2)*rho)*abs(u)).* besselk(nuY/2, sqrt((nuY-2)*(1-rho))*abs(u)));
for i = 1:numel(x)
    integrand = @(u) (CF(u).* exp(-1i*u*x(i)));
    f(i) = 1/(2*pi)*integral(integrand, -inf, inf);
end
f = real(f);
%% funkce primo vyuziva funkci 
% --

%% funkce neprimo vyuziva funkci 
% --
end