function q = double_t_quantile(p, nu, rho)
% funkce pocita p-kvantil rozdeleni, ktere ma promenna Z = sqrt(rho*(nu-2)/nu)*X + sqrt((1-rho)*(nu-2)/nu)*Y, kde X,Y ~ t_nu a jsou nezavisle
% p je cislo v intervalu (0, 1) a je to pst. pro kterou zjistujeme q. Plati, ze p = Pr[Z <= q];

%% vstupy
% p   = pravdepodobnost, pro kterou urcujeme kvantil
% nu  = stupne volnosti promennych X, Y ~ t_nu
% rho = parametr korelace ve faktorove fci Z = sqrt(rho*(nu-2)/nu)*X + sqrt((1-rho)*(nu-2)/nu)*Y

%% vypocet
if (numel(rho) == 1 && numel(p)>1); rho = p*0+rho; end;
p(p == 1) = 0.999999;
guess = tinv(p, nu); % initial guess nechame udelat pomoci kvantilu t rozdeleni
for i = 1:numel(p)
    f = @(x)( double_t_CDF(x, nu, rho(i)) - p(i) );
    q(i) = fzero(f, guess(i)); 
end
%% funkce primo vyuziva funkci 
% double_t_CDF(x, nu, rho)

%% funkce neprimo vyuziva funkci 
% --
end