function q = double_t_quantile_ext(p, nuX, nuY, rho)
% funkce pocita p-kvantil rozdeleni, ktere ma promenna Z = sqrt(rho*(nuX-2)/nuX)*X + sqrt((1-rho)*(nuY-2)/nuY)*Y, kde X~t_{nu_X}, Y~t_{nu_Y} a jsou nezavisle
% od fce double_t_quantile(p, nu, rho) se odlisuje tim, ze umoznuje stupne volnosti X a Y byt ruzne
% p je cislo v intervalu (0, 1) a je to pst. pro kterou zjistujeme q. Plati, ze p = Pr[Z <= q];

%% vstupy
% p   = pravdepodobnost, pro kterou urcujeme kvantil
% nuX = stupne volnosti promenne X
% nuY = stupne volnosti promenne Y
% rho = parametr korelace ve faktorove fci Z = sqrt(rho*(nu-2)/nu)*X + sqrt((1-rho)*(nu-2)/nu)*Y

%% vypocet
guess = tinv(p, sqrt(rho)*nuX + sqrt(1-rho)*nuY); % initial guess nechame udelat pomoci kvantilu t rozdeleni
for i = 1:numel(p)
    f = @(x)( double_t_CDF_ext(x, nuX, nuY, rho) - p(i) );
    q(i) = fzero(f, guess(i)); 
end
%% funkce primo vyuziva funkci 
% double_t_CDF_ext(x, nuX, nuY, rho)

%% funkce neprimo vyuziva funkci 
% --
end