function [Q, Q_determ] = Q_stochastic_PD(PD, sigma_PD, x, rho)

alpha = PD^2/sigma_PD^2; beta = sigma_PD^2/PD;
h = 0.01; i = 1:100;
zz = i*h;

zz_high = gamcdf((i+0.5)*h,alpha, beta); 
zz_low = gamcdf((i-0.5)*h,alpha, beta);
gamma_probs = zz_high - zz_low;

for i = 1:numel(x)
    Q_term = normcdf((norminv(zz) - sqrt(rho)*x(i))/sqrt(1-rho));
    Q(i) = sum(Q_term.*gamma_probs);
end

Q_determ = normcdf((norminv(PD) - sqrt(rho)*x)/sqrt(1-rho));

Q = Q(:);
Q_determ = Q_determ(:);

end