function [Gx] = get_loss_vec(E, RR, Q_mat, unit, cluster_size)


losses = ceil(E(:).*(1-RR(:))/unit); losses = losses(:)'; % pro kazdeho dluznika vytvorime vektor ztrat v pripade defaultu
maxLoss = sum(losses); % maximalni ztrata dosazitelna na portfoliu
Gx = zeros(size(Q_mat, 1), maxLoss+1); % matice loss-generating function. k_ty radek drzi loss-generating vector given X=x_k

if cluster_size == 0
    %% iterace pres vsechny hodnoty common factoru X
    for k = 1:size(Q_mat, 1) 
        loss_mat = zeros(numel(E), maxLoss+1); % matice s loss-generating vectory vsech jmen na portfoliu
        Q_row = Q_mat(k, :); % psti defaultu pro vsechny jmena v portfoliu, given X=x_k  
        loss_mat(:, 1) =  1-Q_row(:); % vektor psti jednotlivych dluzniku, ze nebude default, given X=x_k priradime do matice ztrat given X=x_k

        idx = sub2ind(size(loss_mat), 1:size(loss_mat, 1), losses(:)'+1); % najdeme indexy, do kterych se priradi psti ztraty jednotlich dluzniku, given X=x_k
        loss_mat(idx) = loss_mat(idx(:))+ Q_row(:);

        Gx(k,:) = ifft(prod(fft(loss_mat, [], 2), 1)); % spocitame agregovany loss-generating vector pres cele portfolio, given X=x_k 
    end
    %% iterace pres vsechny hodnoty common factoru X
else
   %cluster_size = ceil(numel(E)/20);
    num_clusters = ceil(numel(E)/cluster_size);
    for k = 1:size(Q_mat, 1) 
        Gx_cluster = zeros(num_clusters, sum(losses)+1);
        for cluster = 1:num_clusters
            cluster_idces = (cluster-1)*cluster_size+1:min(cluster*cluster_size, numel(E));
            cluster_Q_row = Q_mat(k,cluster_idces);
            losses_cluster = losses(cluster_idces);
            maxLoss = sum(losses_cluster);
            loss_mat = zeros(numel(cluster_idces), maxLoss+1);
            loss_mat(:, 1) =  1-cluster_Q_row(:);
            idx = sub2ind(size(loss_mat), 1:size(loss_mat, 1), losses_cluster+1);
            loss_mat(idx) = loss_mat(idx(:))+ cluster_Q_row(:);
            Gx_cluster(cluster, 1:maxLoss+1) = ifft(prod(fft(loss_mat, [], 2), 1));
        end
        Gx(k,:) = ifft(prod(fft(Gx_cluster, [], 2), 1));
    end 
end

end