function Gx = get_loss_vec_exp_bands(E, RR, Q_mat, unit)
unit_tilde = 1*unit;

E = unit_tilde*ceil(E/unit_tilde);
E_bands = unique(E);


losses = ceil(E(:).*(1-RR(:))/unit); losses = losses(:)'; % pro kazdeho dluznika vytvorime vektor ztrat v pripade defaultu
maxLoss = sum(losses); % maximalni ztrata dosazitelna na portfoliu
%Gx = zeros(size(Q_mat, 1), 80); % matice loss-generating function. k_ty radek drzi loss-generating vector given X=x_k

%% iterace pres vsechny hodnoty common factoru X
for k = 1:size(Q_mat, 1)
    Q_row = Q_mat(k,:);
    Lm_total = [1 0]; % preddefinovani zakladniho vektoru pro loss-generating function v expozicnim pasmu m
    for m = 1:numel(E_bands)
        E_band = E_bands(m);
        idces = (E==E_band); % indexy vsech expozic, ktere jsou stejne jako je expozicni pasmo E_band = E_m
        losses_band = ceil(E(idces).*(1-RR(idces))/unit); % mozne ztraty v expozicnim pasmu
        band_max_loss = sum(  losses_band ); % maximalni mozna ztrata v pasmu E_m
        Lm = zeros(band_max_loss, 1);
        Lm(0 +1) = exp(-sum(Q_row(idces)));
        
        Q_band  = Q_row(idces); % psti defaultu u expozic, ktere spadaji do pasma Em
        
        c = unique(ceil(E_band*(1-RR(idces))/unit)); % hodnota ztraty pro vsechny mozne hodnoty RR
        
        for n = 1:ceil(band_max_loss*1.2) % provedeni samotnych iteraci pres hodnoty ztrat
            cumSum = 0; % hodnota vyrazu v zavorce
            
            for  j = 1:sum(c <= n) % jdeme pres vsechna j, pro ktera plati, ze c(j)<=n
                cumSum = cumSum+ sum(Q_band(c(j) == losses_band))*c(j)*Lm(n-c(j) +1); % prikaz sum() v tomto radku vlastne pocita vnitrni zavorku
            end
           
            Lm(n +1) = 1/n*cumSum;
        end
        Lm_total = conv(Lm, Lm_total);
    end
    Gx(k, :) = Lm_total(:)';
    
end

end