function [probs] = get_prob_RR(x, rho_RR, RR_thresholds, FZi_inv)
% funkce vraci matici psti, ze [delta_i = delta_j|X=x_k], radky indexuji dluzniky i a sloupce indexuji hodnoty delta_j
% predpoklada se v tomto pripade Gaussovsky model se stochastickym RR

%% vstupy
% x             = hodnota X=x_k, x je tedy skalar (!)
% rho_RR        = vektor korelaci RR se systemovym faktorem X
% RR_thresholds = vektor thresholdu RR (pro vsechny dluzniky stejne). Ziskava se z funkce prepare_RR_thresholds
% FZi_inv       = hodnota N^-1 z kvantilove transofrmace z Beta rozdeleni. Jedna se o matici, kde radky jsou dluznici a sloupce hodnoty recovery

%% vypocet
% spocitame ze recovery bude nizsi nez dane thresholdy
cum_probs = normcdf( (FZi_inv - sqrt( repmat(rho_RR(:), 1, numel(RR_thresholds)) )*x)./sqrt(1- repmat(rho_RR(:), 1, numel(RR_thresholds)) ) );

% tyto kumulativni psti pak rozbijeme na individualni psti diferencemi
% matice: dluznik i, vs RR j, given X=x
probs = [cum_probs(:,1) diff(cum_probs,[], 2)];

%% funkce primo vyuziva funkci 
% --
end