function [G, relative_losses, max_loss, EL, UL, ETL, loss999q] = loss_distr(E, PD, RR, rho_PD, unit)

[x, w] = lgwt(100,-4.3,4.3);
Q_mat = Q_fixed_PD(PD, rho_PD, x);

% tic;
% Gx_approx = get_loss_vec_exp_bands(E, RR, Q_mat, unit);
% uu = toc;
% G_poly = sum(repmat(normpdf(x(:)), 1, size(Gx_approx, 2)).*repmat(w(:), 1,size(Gx_approx, 2)).*Gx_approx); G_poly(G_poly<0) = 0;


Gx = get_loss_vec(E, RR, Q_mat, unit, 50);
G = sum(repmat(normpdf(x(:)), 1, size(Gx, 2)).*repmat(w(:), 1,size(Gx, 2)).*Gx); G(G<0) = 0;

% plot((1:numel(G)-1)/sum(E/unit), [G(2:end); G_poly(2:numel(G))]); hold on; 
% hold off; grid on; axis([0 0.15 -inf inf]); xlabel('relative portfolio loss', 'interpreter', 'latex'); ylabel('frequency', 'interpreter', 'latex');
% set(legend('true distribution', 'approximating distribution (recurrence relations)'),'Interpreter','latex'); grid on;
 


cumProbs = cumsum(G);
losses = 0:numel(G)-1;
relative_losses = losses/sum(E/unit);
max_loss = losses(end);

idx999q = find(cumProbs>0.999, 1, 'first');
EL = sum(relative_losses.*G);
loss999q = relative_losses(idx999q);
UL = loss999q - EL;
ETL = sum(relative_losses(idx999q+1:end).*G(idx999q+1:end))/0.001;

%plot(G(end-5000: end));
%G_approx = sum(repmat(normpdf(x(:)), 1, size(Gx_approx, 2)).*repmat(w(:), 1,size(Gx_approx, 2)).*Gx_approx); G_approx(G_approx<0) = 0;

%max_loss = min(numel(G), numel(G_approx))-1;
%plot((1:max_loss)/sum(E/unit),G(2:max_loss+1), (1:max_loss)/sum(E/unit), G_approx(2:max_loss+1) ); grid on; ylabel('loss frequency'); xlabel('relative portfolio loss');
%legend('true distribution', 'approximating distribution');

% p = plot((1:max_loss)/sum(E/unit),G(2:max_loss+1)); grid on; axis([0 0.4 -inf inf]);
% hold on;
% s = scatter(EL, 0.00005, 'o', 'filled');s.CData = p.Color; s.SizeData = 100;
% s = scatter(UL, 0.00005, 's', 'filled'); s.CData = p.Color; s.SizeData = 100;
% s = scatter(ETL, 0.00005, 'd', 'filled'); s.CData = p.Color; s.SizeData = 100;
% 
% cluster_size = [1 2 3 4 5 10 20 30 40 50 60 70 80 90 100 200 300 400 500 600 700 800 900 1000];
% for i = 1:numel(cluster_size)
%     tic;
%     Gx = get_loss_vec(E, RR, Q_mat, unit, cluster_size(i));
%     zz(i) = toc;
%     disp(['cluster size: ', num2str(cluster_size(i)), ', runtime: ', num2str(zz(i))]);
% end
% 
% plot(cluster_size, 0*cluster_size+kk, cluster_size, zz); grid on; legend('standard FFT', 'clustered FFT'); xlabel('cluster size'); ylabel('computational time (s)');
% 
% 
% [Gx, Gx_cluster_total] = get_loss_vec(E, RR, Q_mat, unit);
% 
% G = sum(repmat(normpdf(x(:)), 1, size(Gx, 2)).*repmat(w(:), 1,size(Gx, 2)).*Gx); G(G<0) = 0;
% G_cluster = sum(repmat(normpdf(x(:)), 1, size(Gx_cluster_total, 2)).*repmat(w(:), 1,size(Gx_cluster_total, 2)).*Gx_cluster_total); G_cluster(G_cluster<0) = 0;
% 
% plot(0:numel(G)-1, G, 0:numel(G)-1, G_cluster);
% 
% G_mod = G_poly*0;G_mod(1:numel(G)) = G;
% plot(1:200, G_mod(2:201), 1:200, G_poly(2:201)); grid on; legend('true distribution', 'recurrence relations approximation');

%plot(1:numel(G)-1,G(2:end)); grid on;

%plot((1:numel(G)-1)/(sum(E)/unit),G(2:end)); grid on; xlabel('percentage loss of the portfolio');

end

