function [G, relative_losses, max_loss, EL, UL, ETL, loss999q] = loss_distr_double_t(E, PD, RR, rho_PD, unit, nu)

[x, w] = lgwt(500,-40,40);

Q_mat = Q_fixed_PD_double_t(PD, rho_PD, x, nu);
Gx = get_loss_vec(E, RR, Q_mat, unit, 50);
G = sum(repmat(tpdf(x(:), nu), 1, size(Gx, 2)).*repmat(w(:), 1,size(Gx, 2)).*Gx); G(G<0) = 0;


losses = 0:numel(G)-1;
relative_losses = losses/sum(E/unit);
max_loss = losses(end);
%plot((1:max_loss)/sum(E/unit),G(2:max_loss+1)); grid on; ylabel('loss frequency'); xlabel('relative portfolio loss');
cumProbs = cumsum(G);

%plot(relative_losses,G);

idx999q = find(cumProbs>0.999, 1, 'first');
EL = sum(relative_losses.*G);
loss999q = relative_losses(idx999q);
UL = loss999q - EL;
ETL = sum(relative_losses(idx999q+1:end).*G(idx999q+1:end))/0.001;

%plot((1:max_loss)/sum(E/unit),G(2:max_loss+1)); hold on;
%scatter(UL, 0.00005);
%scatter(ETL, 0.00005);

% max_loss = numel(G)-1;
% p = plot((1:max_loss)/sum(E/unit),G(2:max_loss+1), 'r-'); grid on; axis([0 0.65 -inf inf]); legend('Gaussian model', 'double t model');
% s = scatter(EL, 0.00005, 'o', 'filled');s.CData = p.Color; s.SizeData = 100;
% s = scatter(UL, 0.00005, 's', 'filled'); s.CData = p.Color; s.SizeData = 100;
% s = scatter(ETL, 0.00005, 'd', 'filled'); s.CData = p.Color; s.SizeData = 100;
% hold off;
% 
% cluster_size = [1 2 3 4 5 10 20 30 40 50 60 70 80 90 100 200 300 400 500 600 700 800 900 1000];
% for i = 1:numel(cluster_size)
%     tic;
%     Gx = get_loss_vec(E, RR, Q_mat, unit, cluster_size(i));
%     zz(i) = toc;
%     disp(['cluster size: ', num2str(cluster_size(i)), ', runtime: ', num2str(zz(i))]);
% end
% 
% plot(cluster_size, 0*cluster_size+kk, cluster_size, zz); grid on; legend('standard FFT', 'clustered FFT'); xlabel('cluster size'); ylabel('computational time (s)');
% 
% 
% [Gx, Gx_cluster_total] = get_loss_vec(E, RR, Q_mat, unit);
% 
% G = sum(repmat(normpdf(x(:)), 1, size(Gx, 2)).*repmat(w(:), 1,size(Gx, 2)).*Gx); G(G<0) = 0;
% G_cluster = sum(repmat(normpdf(x(:)), 1, size(Gx_cluster_total, 2)).*repmat(w(:), 1,size(Gx_cluster_total, 2)).*Gx_cluster_total); G_cluster(G_cluster<0) = 0;
% 
% plot(0:numel(G)-1, G, 0:numel(G)-1, G_cluster);
% 
% G_mod = G_poly*0;G_mod(1:numel(G)) = G;
% plot(1:200, G_mod(2:201), 1:200, G_poly(2:201)); grid on; legend('true distribution', 'recurrence relations approximation');

%plot(1:numel(G)-1,G(2:end)); grid on;

%plot((1:numel(G)-1)/(sum(E)/unit),G(2:end)); grid on; xlabel('percentage loss of the portfolio');

end

