function [P_distrib_deterministic, P_distrib_stochastic] = portfolio_distr(PD, sigma_PD, rho)

[x, w] = lgwt(100,-4.3,4.3);
fx = repmat(normpdf(x), 1, numel(PD)+1);
w = repmat(w, 1, numel(PD)+1);

for i = 1:numel(PD)
   [Q(:,i), Q_determ(:,i)] = Q_stochastic_PD(PD(i), sigma_PD(i), x, rho);
end

for j = 1:numel(x)
    gen_fun = [1-Q(j, 1) Q(j, 1)];
    for i = 2:numel(PD)
        gen_fun = conv(gen_fun, [1-Q(j, i) Q(j, i)]);
    end
    gen_fun_total(j, :) = gen_fun;
end
P_distrib_stochastic = sum(fx.*w.*gen_fun_total);

for j = 1:numel(x)
    gen_fun_det = [1-Q_determ(j, 1) Q_determ(j, 1)];
    for i = 2:numel(PD)
        gen_fun_det = conv(gen_fun_det, [1-Q_determ(j, i) Q_determ(j, i)]);
    end
    gen_fun_total_det(j, :) = gen_fun_det;
end
P_distrib_deterministic = sum(fx.*w.*gen_fun_total_det);

%plot(0:1000, [P_distrib_deterministic(1:1001); P_distrib_stochastic(1:1001)]); grid on;
%xlabel('number of defaults in the portfolio', 'interpreter', 'latex'); ylabel('frequency', 'interpreter', 'latex'); set(legend('deterministic PD', 'stochastic PD'),'Interpreter','latex');

%xx_stochastic_cum = cumsum(P_distrib); [find(xx_stochastic_cum>0.5,1, 'first') find(xx_stochastic_cum>0.99,1, 'first')]
%xx_deterministic_cum = cumsum(P_distrib2); [find(xx_deterministic_cum>0.5,1, 'first') find(xx_deterministic_cum>0.99,1, 'first')]





end