function [RR_thresholds, delta, beta_probs] = prepare_RR_thresholds(alpha_RR, beta_RR)
% funkce vytvari prahy (RR_thresholds), ke kterym se vaze CDF beta(alpha_RR, beta_RR) rozdeleni
% delta je hodnota recovery (vzdy vazana k nejakemu thresholdu, standardne byva midpoint)
% RR_thresholds a delta jsou pro vsechny dluzniky stejne
% beta_probs je matice pravdepodobonosti, kde radky indexuji dluzniky a sloupce hodnoty RR

%% vstupy
% alpha_RR = vektor parametru alpha (pro kazdeho dluznika jeden) charakterizujici beta rozdeleni jeho RR
% beta_RR  = vektor parametru beta (pro kazdeho dluznika jeden) charakterizujici beta rozdeleni jeho RR

%% vypocet
RR_thresholds = 0.1:0.1:1;
delta = [RR_thresholds(1)/2 RR_thresholds(2:end)-diff(RR_thresholds)/2];

% psti z beta rozdeleni, ze nahodna beta(alpha_RR, beta_RR) promenna bude mensi nez RR_thresholds
beta_probs = betacdf(repmat(RR_thresholds(:)', numel(alpha_RR), 1), repmat(alpha_RR(:), 1, numel(RR_thresholds)),repmat(beta_RR(:), 1, numel(RR_thresholds)));  

%% funkce primo vyuziva funkci 
% --
end