function Z = reduced_conv(X, Y)
X = X(:); Y = Y(:);
% reduced convolution algorithm for loss-PGF
% returns Z = conv(X, Y), where X and Y are loss-PGFs

%% inputs
% X = the 'long'  vector including less zero elements
% Y = the 'short' vector including many zero elements

%% caluculation
% idenitfy where in Y (except for the first element) are non-zero elements (probabilities)
dimX = numel(X); non_zeros_idx = find(Y(2:end)>0)+1; num_non_zeros_Y = numel(non_zeros_idx);
% create the output loss-PGF vector Z; set the initial values in Z to X*(1-Q)
Z = zeros(dimX+numel(Y)-1, 1); Z(1:dimX,1) = X*Y(1);
% iterate over all other non-zero elements in Y and add the probabilities X*Y(i) to Z 
for i = 1:num_non_zeros_Y
    rozsah = non_zeros_idx(i):non_zeros_idx(i)+dimX-1;
    Z(non_zeros_idx(i):non_zeros_idx(i)+dimX-1,1) = Z(non_zeros_idx(i):non_zeros_idx(i)+dimX-1,1) + X*Y(non_zeros_idx(i)); 
end

end

% tic;
% non_zeros_idx = find(Y(2:end)>0)+1; num_non_zeros_Y = numel(non_zeros_idx);
% Z = zeros(numel(X)+numel(Y)-1, num_non_zeros_Y+1); Z(1:numel(X),1) = X*Y(1);
% 
% 
% for i = 1:num_non_zeros_Y; Z(non_zeros_idx(i):non_zeros_idx(i)+numel(X)-1,i+1) = X*Y(non_zeros_idx(i)); end;
% Z = sum(Z, 2);
% toc;