function price = CIR_bond_price(r, T, kappa, theta, sigma)

h = sqrt(kappa^2 + 2*sigma^2);
A = ( (2*h*exp((kappa+h)*T/2))./(2*h + (kappa+h)*(exp(T*h)-1)) ).^(2*kappa*theta/sigma^2);
B = 2*(exp(T*h)-1)./(2*h + (kappa+h)*(exp(T*h) -1 ));

price = A.*exp(-B*r);

end