function theta = HW_theta(t, kappa, sigma, ycrv_rates, ycrv_maturities)
% funkce ziskava theta(t) v HW modelu: dr(t) = kappa*(theta(t) - r(t))*dt +sigma*dW(t) tak, aby model fittoval na pozorovanou YCRV

h = 0.001;
f = get_continuous_fwd_rate(t, h, ycrv_rates, ycrv_maturities, 2.0);
f_plus_dt = get_continuous_fwd_rate(t+h, h, ycrv_rates, ycrv_maturities, 2.0);

dfdt = (f_plus_dt - f)/h;

theta = 1/kappa*dfdt + f + sigma^2 * (1-exp(-2*kappa*t))/(2*kappa^2);

%plot(t, theta); hold on; plot(ycrv_maturities, ycrv_rates); hold off;

end