function price = IRS_price_HW(t, T, x, n, w, K, kappa, sigma, ycrv_rates, ycrv_maturities, yearfrac_fix)
% w = 1 -> receiver, w = -1 payer
dt = (T-t)/n;
bond_maturities = t + dt:dt:T;
bond_prices = HW_bond_reconstitution(t, bond_maturities, x, kappa, sigma, ycrv_rates, ycrv_maturities, 1/yearfrac_fix);

%bond_prices_discrete = get_bond_price(yearfrac_fix:yearfrac_fix:T, ycrv_rates, ycrv_maturities, 1/yearfrac_fix);
%price_discrete = w*(K*sum(bond_prices_discrete)*yearfrac_fix - bond_prices_discrete(1) + bond_prices_discrete(end));

price = w*(K*sum(bond_prices, 2)*dt - 1 + bond_prices(:,end));

end