function price = black_scholes(S, K, r, q, T, sigma, w)
% klasicky BS vzorec pro opci na aktivum S

%% vstupy
% S         = spotova cena podkladoveho aktiva
% K         = strike opce
% T         = residualni doba do splatnosti opce
% r         = hodnota risk-free sazby pro splatnost T
% q         = hodnota spojite dividendy
% w         = identifikator call opce (w = 1) nebo put opce (w = -1)

%% vypocet
d1 = (log(S./K) + (r-q+0.5*sigma.^2).*T)./(sigma.*sqrt(T));
d2 = d1 - sigma.*sqrt(T);
price = w.*S.*exp(-q.*T).*normcdf(w.*d1) - w.*K.*exp(-r.*T).*normcdf(w.*d2);

%% funkce primo vyuziva funkci
% -
end